Gentoo Linux OWASP CVEs for Broken Authentication in 2004